io.milvus.v2.utils

## Class ConvertUtils

- java.lang.Object
- - io.milvus.v2.utils.ConvertUtils

-     public class ConvertUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvertUtils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeCollectionResp` | `convertDescCollectionResp(io.milvus.grpc.DescribeCollectionResponse response)`
    `DescribeIndexResp` | `convertToDescribeIndexResp(java.util.List<io.milvus.grpc.IndexDescription> response)`
    `java.util.List<QueryResp.QueryResult>` | `getEntities(io.milvus.grpc.QueryResults response)`
    `java.util.List<java.util.List<SearchResp.SearchResult>>` | `getEntities(io.milvus.grpc.SearchResults response)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertUtils

          public ConvertUtils()

  - ### Method Detail

    - #### getEntities

          public java.util.List<QueryResp.QueryResult> getEntities(io.milvus.grpc.QueryResults response)

    - #### getEntities

          public java.util.List<java.util.List<SearchResp.SearchResult>> getEntities(io.milvus.grpc.SearchResults response)

    - #### convertToDescribeIndexResp

          public DescribeIndexResp convertToDescribeIndexResp(java.util.List<io.milvus.grpc.IndexDescription> response)

    - #### convertDescCollectionResp

          public DescribeCollectionResp convertDescCollectionResp(io.milvus.grpc.DescribeCollectionResponse response)